package com.example.demo;
import com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceAutoConfigure;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ConfigurableApplicationContext;

import java.net.InetAddress;
import java.net.UnknownHostException;
/**
 * 多数据源测试示例
 */
@SpringBootApplication(exclude = DruidDataSourceAutoConfigure.class)
public class DemoApplication {
	public static void main(String[] args) throws UnknownHostException {
		ConfigurableApplicationContext context = SpringApplication.run(DemoApplication.class, args);
		String serverPort = context.getEnvironment().getProperty("server.port");
		System.out.println("( 系统启动成功  \n" +
				"通过以下地址访问 http://localhost:" + serverPort + "\n" +
				"              http://" + InetAddress.getLocalHost().getHostAddress() + ":" + serverPort);
	}
}